Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3917 - Xconfigurator won't list 32-bit modes if the server supports 8, 16, and 24-bit as well
Summary: Xconfigurator won't list 32-bit modes if the server supports 8, 16, and 24-bi...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-06 15:10 UTC by Nalin Dahyabhai
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-23 16:17:13 UTC


Attachments (Terms of Use)

Description Nalin Dahyabhai 1999-07-06 15:10:11 UTC
This happends with an ATI Mach64 GB in a Dell Optiplex GX1.
The default display mode Xconfigurator offers is
1280x1024@32 bits, but if you turn that down only the 8-,
16-, and 24-bit modes are listed in the next screen.

Comment 1 Preston Brown 1999-08-23 16:17:59 UTC
24bpp and 32bpp are internally treated the same by Xconfigurator.  It
will first try to determine a 32bpp mode, and if the driver doesn't
support it, it will use a 24bpp mode.  Therefore even if it describes
the "24 bit modes", the mode actually selected will be 32bit if
necessary.

A bit confusing, and could probably use some work, but Xconfigurator
is being rewritten anyway, so this problem will go away.

Comment 2 Pekka Savola 2000-01-17 08:50:59 UTC
I got very confused about this too.  I'd recommend changing "24" bit to  "24/32"
bit as a quick workaround; this would at least give a hint that 32 bpp hasn't
just been forgotten.


Note You need to log in before you can comment on or make changes to this bug.